Subject: Sears Craftsman 4 x 8 lathe ?

From: [email-masked] (Dale Eason)
Date: Tue, 21 Sep 1993 15:45:20 GMT

I have a Sears Craftsman 4 x 8 model number 109.20630.  It's head stock
is 1/2" 20 threads.  I need a 3 jaw lathe chuck.  I only have a 
three jay drill chuck for it.  So I can only turn stock that is up to .5"
in diameter.  

Does anyone know where I might find a 3 jaw lathe chuck for it.

Thanks,
Dale Eason
dale.eason@.stpaul.ncr.com